## org.codehaus.groovy.grails.commons
Class DefaultGrailsBootstrapClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.DefaultGrailsBootstrapClass

All Implemented Interfaces:
  GrailsBootstrapClass, GrailsClass

    public class DefaultGrailsBootstrapClass

extends AbstractGrailsClass
implements GrailsBootstrapClass

Field Summary
`static String` `BOOT_STRAP`

Constructor Summary
`DefaultGrailsBootstrapClass(Class clazz)`

Method Summary
`void` `callDestroy()` Calls the destroy closure if one exists
`void` `callInit(ServletContext servletContext)` Calls the init closure if one exists
`groovy.lang.Closure` `getDestroyClosure()` Returns the destroy closure which is called on application exit
`groovy.lang.Closure` `getInitClosure()` Returns the init closure which is called on application load

Methods inherited from class org.codehaus.groovy.grails.commons.AbstractGrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyValue, getPropertyValue, getReference, getShortName, hasProperty, newInstance, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.grails.commons.GrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getShortName, hasProperty, newInstance`

Field Detail

### BOOT_STRAP

    public static final String BOOT_STRAP

See Also:
  Constant Field Values

Constructor Detail

### DefaultGrailsBootstrapClass

    public DefaultGrailsBootstrapClass(Class clazz)

Method Detail

### getInitClosure

    public groovy.lang.Closure getInitClosure()

  Description copied from interface: `GrailsBootstrapClass`
  Returns the init closure which is called on application load

  Specified by:
    `getInitClosure` in interface `GrailsBootstrapClass`
  Returns:
    A Closure instance

### getDestroyClosure

    public groovy.lang.Closure getDestroyClosure()

  Description copied from interface: `GrailsBootstrapClass`
  Returns the destroy closure which is called on application exit

  Specified by:
    `getDestroyClosure` in interface `GrailsBootstrapClass`
  Returns:
    A Closure instance

### callInit

    public void callInit(ServletContext servletContext)

  Description copied from interface: `GrailsBootstrapClass`
  Calls the init closure if one exists

  Specified by:
    `callInit` in interface `GrailsBootstrapClass`

### callDestroy

    public void callDestroy()

  Description copied from interface: `GrailsBootstrapClass`
  Calls the destroy closure if one exists

  Specified by:
    `callDestroy` in interface `GrailsBootstrapClass`

Copyright (c) 2005-2009 The Grails project